/* ----------------------------------------------------------------------------
 * ergoDOX : controller : Teensy 2.0 specific exports : functions
 * ----------------------------------------------------------------------------
 * Copyright (c) 2012 Ben Blazak <benblazak.dev@gmail.com>
 * Released under The MIT License (MIT) (see "license.md")
 * Project located at <https://github.com/benblazak/ergodox-firmware>
 * ------------------------------------------------------------------------- */

#pragma once

#include <stdbool.h>
#include <stdint.h>
#include <avr/io.h>
#include <util/delay.h>
#include "../../lib/teensy-2-0.h"
#include "../options.h"
#include "../matrix.h"
#include "./teensy-2-0--led.h"

// --------------------------------------------------------------------

uint8_t teensy_init(void);
uint8_t teensy_update_matrix( bool matrix[KB_ROWS][KB_COLUMNS] );
